Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
proconeng86

[yêu cầu] lisp chỉnh lựa chọn thông số text inside trong dim

Các bài được khuyến nghị

Chào các bạn

   Trong file đính kèm là mẫu dim của cơ quan mình. Khi ghi kích thước của những khoảng cách nhỏ thì text trong dim sẽ nhảy ra ngoài, nhưng nếu 2-3 kích thước bé nằm sát nhau thì tất cả nhảy hết ra ngoài là ko được, dim ở giữa sẽ phải chọn text inside = on để text nằm trong dim. Tuy nhiên mình toàn phải chọn dim rồi bật Properties lên để chọn, khác mất thời gian

   Do đó mình muốn nhờ các bạn viết giúp mình lisp như sau

   - lựa chọn dim cần chuyển text vào trong hoặc ra ngoài

   - hiện lên 2 lựa chọn on/off của text inside trên màn hình để mình lựa chọn

   - kết thúc lệnh

Mình cám ơn nhiều

http://www.mediafire.com/download/3gzj3bepnns60t3/2.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không thấy ai giúp bạn nên code giùm bạn đây.


; Doan Van Ha - CadViet.com - ngay 26/5/2014
; Chuc nang: dich chuyen vi tri Text cua Dim vao trong hoac ra ngoai 2 duong dong.
(defun C:HA( / dm tn)
 (vl-load-com)
 (setq dm (car (entsel "\nChon TextDim muon thay doi vi tri: ")))
 (initget "T N")
 (setq tn (getkword "\nVi tri dat Text [Trong/Ngoai] <T>: "))
 (vla-put-TextInside (vlax-ename->vla-object dm) (if (= tn "N") :vlax-false :vlax-true)))
 

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không thấy ai giúp bạn nên code giùm bạn đây.


; Doan Van Ha - CadViet.com - ngay 26/5/2014
; Chuc nang: dich chuyen vi tri Text cua Dim vao trong hoac ra ngoai 2 duong dong.
(defun C:HA( / dm tn)
 (vl-load-com)
 (setq dm (car (entsel "\nChon TextDim muon thay doi vi tri: ")))
 (initget "T N")
 (setq tn (getkword "\nVi tri dat Text [Trong/Ngoai] <T>: "))
 (vla-put-TextInside (vlax-ename->vla-object dm) (if (= tn "N") :vlax-false :vlax-true)))
 

 

Cám ơn bạn Doan Van Ha nhiều

Tuy nhiên lisp này không chọn được nhiều dim nhỉ, bạn sửa lại cho mình để có thể chọn được nhiều dim 1 lúc nhé

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sửa lại cho bạn.


; Doan Van Ha - CadViet.com - ngay 26/5/2014
; Chuc nang: dich chuyen vi tri Text cua Dim vao trong hoac ra ngoai 2 duong dong.
(defun C:HA( / tn)
 (vl-load-com)
 (initget "T N")
 (setq tn (getkword "\nVi tri dat Text [Trong/Ngoai] <T>: "))
 (princ "\nChon cac Dimension can thay doi vi tri Text...")
 (if (ssget (list (cons 0 "DIMENSION")))
  (vlax-for obj (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object)))
   (vla-put-TextInside obj (if (= tn "N") :vlax-false :vlax-true)))))
 

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sửa lại cho bạn.


; Doan Van Ha - CadViet.com - ngay 26/5/2014
; Chuc nang: dich chuyen vi tri Text cua Dim vao trong hoac ra ngoai 2 duong dong.
(defun C:HA( / tn)
 (vl-load-com)
 (initget "T N")
 (setq tn (getkword "\nVi tri dat Text [Trong/Ngoai] <T>: "))
 (princ "\nChon cac Dimension can thay doi vi tri Text...")
 (if (ssget (list (cons 0 "DIMENSION")))
  (vlax-for obj (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object)))
   (vla-put-TextInside obj (if (= tn "N") :vlax-false :vlax-true)))))
 

 

OK, lisp này ngon rồi. Cám ơn bạn Doan Van Ha nhiều nhé

Tiện thể bạn xem hộ mình thắc mắc này nhé, mình thắc mắc cho vào phần thắc mắc chung mà mãi không có bạn nào trả lời giúp mình, mọi người bận quá hay sao ý

http://www.cadviet.com/forum/topic/102476-thac-mac-cach-bien-doi-linetype-scale-cho-xref/

Chân thành cám ơn bạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×